Subject: Re: BUG ? ipip unregister_netdevice_many()

From: [email-masked] (Eric W. Biederman)
Date: Fri, 08 Oct 2010 09:45:15 -0700

Hans Schillstrom <[email-masked]> writes:

> Hi Eric,
> Any advice how to trace this down ?
> This rollback_registered_many() seems to have on the lists before...

That is just the core piece that does device registration.

> All IPv4 and IPv6 tunnels causes this crash, all you have to do is load the tunnel module(s)
> enter a new ns and exit from it.

Ouch.  

> Have not tested any more devices than tunnels, 
> I did an "ip link delete" on my macvlans before exiting the ns.

My hunch is that we have dst entry problems, as I know those hop network
interfaces when we destroy network devices, but I have seen weird issues
with the route cache as well.

Grumble.

Eric